> For the complete documentation index, see [llms.txt](https://docs.algomojo.com/algomojo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algomojo.com/algomojo/api/v1/open-positions.md).

# Open Positions

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/OpenPositions`

\
**QUERY PARAMETERS**

| Request Parameter | Description    | Mandatory                          |
| ----------------- | -------------- | ---------------------------------- |
| broker            | Broker code    | Yes                                |
| symbol            | Trading Symbol | No                                 |
| exchange          | Exchange       | No(Mandatory if symbol is present) |
| product           | Product type   | No(Mandatory if symbol is present) |

{% code title="# Here is a curl example" %}

```
-X POST https://amapi.algomojo.com/v1/OpenPositions
```

{% endcode %}

{% code title="Request example : " %}

```
{
"api_key":"{your_api_key}",
"api_secret":"{your_api_secret}",
"data":
{
 "broker":"tc",
 "symbol": "L&TFH24NOV22P80",
 "exchange":"NFO",
 "product":"NRML"
}
}

```

{% endcode %}

{% code title="Response example:" %}

```
{
"status": "success",
"data": {
 "exchange": "NFO",
 "product": "NRML",
 "symbol": "L&TFH24NOV22P80",
 "token": "102572",
 "cfbuyqty": 8924,
 "cfbuyavgprc": 1.20,
 "cfsellqty": 0,
 "cfsellavgprc": NA,
 "bqty": 0,
 "buyavgprc": 0.00,
 "sqty": 0,
 "sellavgprc": 0.00,
 "netqty": 8924,
 "netbuyavgprc": 0,
 "netsellavgprc": 0,
 "netamt": 1.20,
 "ltp": 1.05,
 "bep": 1.20,
 "realisedprofitloss": 0,
 "unrealisedprofitloss": -1338.60,
 "mtm": 0.05,
 "netavgprc": 6.35,
 "broker_exchange": "NSE",
 "broker_token": "102572",
 "tick_size": 0.05,
 "lot_size": 1,
 "ws_msg": {
     "exchange": "NSE",
     "token": "102572"
 }
}
}
```

{% endcode %}
